Subject: Re: How to use cygwin to solve my problem?
From: JAmes Coleman <[email-masked]>
To: [email-masked]
Cc: Yingping Zhang <[email-masked]>
Date: Wed, 14 Nov 2001 13:14:11 +0000

Hi,

You might find looking at eCos documentation helpful, even if you don't
use eCos.
eCos uses cygwin development environment with gnu tools (equivalent to
GNUPro tools).
eCos also documents very well how to install cross compilers, how to set
up your
development environment, etc..... 
http://sources.redhat.com/ecos/tools/win-arm-elf.html

Oh look: 
http://sources.redhat.com/ecos/boards/e7t.html
The ARM Evaluator-7T platform, based on the Samsung KS32C50100 (ARM7TDMI
core) is supported by both eCos and RedBoot. 
So if you want to start with an OS, eCOs could be quite good.

There is also information and various ports for Xscale.

If you have money the ARM developer suite would have more than eCos and
should
be easier to use ... 

Happy reading!

JAmes.

Yingping:

Hello,

Could you help me to solve my problem, please.

My problem is:
How to
1) use GNUPro's xscale-elf-gcc as a compiler,
2) use xscale-elf-gcc as a debug,
3) run *.c programs on ARM Eveluator-7T board or Xscale 80200 Evaluator
Board.
Note: My OS is Windows ME.

What I try to know is:
1) Could I use cygwin to complete my work?
2) Do I need any other softwares except cygwin to do this?
3) If it is possible, could you tell my the simple steps for this, such
as:
    a. Install cygwin
    b. Install ......
    ......
4) Where I can find all information for this?

Thanks very much!
Yingping

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/